#
# spec file for package rubygem-activesupport-2_0 (Version 2.0.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           rubygem-activesupport-2_0
Version:        2.0.2
Release:        1.3
%define mod_name activesupport
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems > 0.9
Provides:       rubygem-%{mod_name} = %{version}-%{release}
Obsoletes:      rubygem-%{mod_name} < %{version}
#
URL:            http://rubyforge.org/projects/activesupport/
Source:         http://rubyforge.org/frs/download.php/29553/activesupport-2.0.2.gem
#
Summary:        Utility classes and extension to the standard library
%description
Utility classes and extension to the standard library that were required
by Rails, but found of general use.



Authors:
--------
    rails development team

%prep

%build

%install
gem install --local --build-root=%{buildroot} %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Wed Jan 16 2008 mrueckert@suse.de
- branched of a rubygem-activesupport-2_0 package
- update to version 2.0.2:
  the next major step in the rails development. for all changes see
  /usr/lib*/ruby/gems/1.8/gems/activesupport-2.0.2/CHANGELOG
* Wed Jan 16 2008 mrueckert@suse.de
- renamed package to rubygem-activesupport-1_4 to allow parallel
  installation of other major branches
* Wed Oct 17 2007 mrueckert@suse.de
- update to version 1.4.4
  * Backport: allow array and hash query parameters. Array route
    parameters are converted/to/a/path as before.  #6765, #7047,
    [#7462] [bgipsy, Jeremy McAnally, Dan Kubb, brendan, Diego
    Algorta Casamayou]
- additional changes from 1.4.3
  * Demote Hash#to_xml to use XmlSimple#xml_in_string so it can't
    read files or stdin.  #8453 [candlerb, Jeremy Kemper]
    (CVE-2007-5379) (bnc #332441)
  * Document Object#blank?.  #6491 [Chris Mear]
  * Update Dependencies to ignore constants inherited from
    ancestors. Closes #6951. [Nicholas Seckar]
  * Improved multibyte performance by relying less on exception
    raising #8159 [Blaine]
* Mon May 14 2007 mrueckert@suse.de
- update to version 1.4.2
  * Ruby 1.8.6 and 1.9 define private Time#to_date and
    [#]to_datetime; make them public for compatibility.
    [Jeremy Kemper]
  * Deprecation: warn on stderr if RAILS_DEFAULT_LOGGER isn't set
    yet.  [Jeremy Kemper]
- additional changes from version 1.4.1
  * Optimize Class Inheritable Attributes so that unnecessary
    hashes are not created.  Closes #7472 [Bruce Perens]
  * Added :instance_writer option to #mattr_writer/accessor,
    [#]cattr_writer/accessor, and #class_inheritable_writer to skip
    the creation of the instance writer.  [Rick]
  * Full test coverage for Inflector.  #7228 [Dan Kubb]
* Wed Jan 24 2007 mrueckert@suse.de
- update to version 1.4.0
  update for rails 1.2.1. too many changes to mention them here.
  see /usr/lib*/ruby/gems/1.8/gems/activesupport-1.4.0/CHANGELOG
* Wed Jun 21 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.3.1
